using SanShared;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Language
{
    public enum BUILTINLANGUAGES
    {
        GERMAN = 0
    }
    public static class Language
    {
        public static ILanguage GetLanguage(BUILTINLANGUAGES lang)
        {
            switch(lang)
            {
                case BUILTINLANGUAGES.GERMAN: return new DE();
                default: throw new SanShared.Exceptions.LangNotFoundException(string.Format("Language {0} not found",lang));
            }
        }
    }
}
